
clear;clc;

ouv='Q1_APTR.ouv';

xi=-0.08;xo=0.08;xN=80;stepx=(xo-xi)/xN;
yi=-0.08;yo=0.08;yN=80;stepy=(yo-yi)/yN;
z=1.16;zN=232;stepz=z/zN;

fid=fopen(ouv,'w');
fprintf(fid,'%d\t%f\n',zN,z);
fprintf(fid,'%d\t%f\t%f\n',xN,xi,xo);
fprintf(fid,'%d\t%f\t%f\n',yN,yi,yo);
fprintf(fid,'%d\n',1);
fclose(fid);


fid=fopen(ouv,'a');
for i=0:stepz:z
    for j=yi:stepy:yo
        for k=xi:stepx:xo
            if i<0.81
                if sqrt(j^2+k^2)<=77.5/1000
                    fprintf(fid,'%d\n',0); % air
                else
                    fprintf(fid,'%d\n',1); % material
                end                       
            else
                if sqrt(j^2+k^2)<=(77.5+(112.5-77.5)*(i-0.81)/(z-0.81))/1000
                    fprintf(fid,'%d\n',0); % air
                else
                    fprintf(fid,'%d\n',1); % material
                end                       
            end
        end
    end
end
fclose(fid);

